require "ical"
if arg[1] == "-v" then
	require "serialization"
end

events = ical.load(io.open("XSF.ics" or arg[1]):read("*a"))

if arg[1] == "-v" then
	print(serialization.serialize(events))
end

for i, event in ipairs(events) do
	if event.type == "VEVENT" then
		print(event.when and os.date("!%c", event.when) or "Unknown", event.SUMMARY);
	end
end
